## NMDeviceBond NMDeviceBond |

## Functions

GQuark | nm_device_bond_error_quark ()
GObject * | nm_device_bond_new ()
const char * | nm_device_bond_get_hw_address ()
gboolean | nm_device_bond_get_carrier ()
const GPtrArray * | nm_device_bond_get_slaves ()

## Properties

gboolean | carrier | Read
gchar * | hw-address | Read
NMObjectArray * | slaves | Read

## Types and Values

enum | NMDeviceBondError
#define | NM_DEVICE_BOND_ERROR
#define | NM_DEVICE_BOND_HW_ADDRESS
#define | NM_DEVICE_BOND_CARRIER
#define | NM_DEVICE_BOND_SLAVES

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceBond

## Description

## Functions

### nm_device_bond_error_quark ()

    GQuark
    nm_device_bond_error_quark (void);

Registers an error quark for NMDeviceBond if necessary.

#### Returns

the error quark used for NMDeviceBond errors.

### nm_device_bond_new ()

    GObject *
    nm_device_bond_new (DBusGConnection *connection,
                        const char *path);

Creates a new NMDeviceBond.

#### Parameters

connection | the DBusGConnection |
path | the DBus object path of the device |

#### Returns

a new device.

[transfer full]

### nm_device_bond_get_hw_address ()

    const char *
    nm_device_bond_get_hw_address (NMDeviceBond *device);

Gets the hardware (MAC) address of the NMDeviceBond

#### Parameters

device | a NMDeviceBond |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_bond_get_carrier ()

    gboolean
    nm_device_bond_get_carrier (NMDeviceBond *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceBond |

#### Returns

`TRUE` if the device has carrier

### nm_device_bond_get_slaves ()

    const GPtrArray *
    nm_device_bond_get_slaves (NMDeviceBond *device);

Gets the devices currently slaved to `device` .

#### Parameters

device | a NMDeviceBond |

#### Returns

the GPtrArray containing NMDevices that are slaves of `device` . This is the internal copy used by the device, and must not be modified.

[element-type NMDevice]

Since: 0.9.6.4

## Types and Values

### enum NMDeviceBondError

#### Members

NM_DEVICE_BOND_ERROR_UNKNOWN | unknown or unclassified error |
NM_DEVICE_BOND_ERROR_NOT_BOND_CONNECTION | the connection was not of bond type |
NM_DEVICE_BOND_ERROR_INVALID_BOND_CONNECTION | the bond connection was invalid |
NM_DEVICE_BOND_ERROR_INTERFACE_MISMATCH | the interfaces of the connection and the device mismatched |

### NM_DEVICE_BOND_ERROR

    #define NM_DEVICE_BOND_ERROR nm_device_bond_error_quark ()

### NM_DEVICE_BOND_HW_ADDRESS

    #define NM_DEVICE_BOND_HW_ADDRESS  "hw-address"

### NM_DEVICE_BOND_CARRIER

    #define NM_DEVICE_BOND_CARRIER     "carrier"

### NM_DEVICE_BOND_SLAVES

    #define NM_DEVICE_BOND_SLAVES      "slaves"

## Property Details

### The `“carrier”` property

      “carrier”                  gboolean

Whether the device has carrier.

Flags: Read

Default value: FALSE

### The `“hw-address”` property

      “hw-address”               gchar *

The hardware (MAC) address of the device.

Flags: Read

Default value: NULL

### The `“slaves”` property

      “slaves”                   NMObjectArray *

The devices (NMDevice) slaved to the bond device.

Flags: Read

Since: 0.9.8